Skip to Content
Hive
API Referencev1Services

Update an organization service option

PUT
/v1/service/org/option/edit

Request Body

application/json
  1. body

Input model used by ServiceController to create or update organization services and their options.

id?integer|null
serviceListId?integer|null
serviceOrgId?integer|null
organizationId?|
Formatint64
integrationId?integer|null
optionId?integer|null
name?string|null
offsetDays?integer|null
carrierType?string|null
attributes?|array<any>|string|number|boolean|null
type?string|null
forDirect?boolean|null
forSub?boolean|null

Response Body

Organization service option updated.

application/json
  1. response
id?integer

Organization service option identifier.

name?|
Lengthlength <= 100
forDirect?boolean|null
forSub?boolean|null
type?|
Lengthlength <= 10
serviceOption?|null
serviceOrg?|null
organization?|null
Example Request
curl -X PUT 'https://api.eis.it/v1/service/org/option/edit' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "name": "string",  "forDirect": true,  "forSub": true,  "type": "string",  "serviceOption": {    "id": 0,    "name": "string"  },  "serviceOrg": {    "id": 0,    "name": "string"  },  "organization": {    "organizationId": 0,    "name": "string"  }}